<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>JavaScript Introduction</title>
	</head>
	<body>

		<script type="text/javascript" src="./index.js">
			
			//In HTML, the <script> tag is used to embed or reference external JavaScript code within an HTML document

			alert("Hi, B297! Welcome to the Backend Course!")

			// Where should I place script tags?
				// script tags can go anywhere on the page
				// best practice - before the closing body tag

			// Where to place JS?
				// Inline - within the HTML
				// External - separate file

		</script>
	</body>
</html>